> For the complete documentation index, see [llms.txt](https://docs.videc.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.videc.de/june5-3.7/weitere-june5-produkte/june5-webreport/june5-funktionen/getqueryvalueinfosext.md).

# GetQueryValueInfosExt

Diese Funktion liefert Informationen einer Messgröße zurück (z.B. die 3 größten Tageswerte des Monats). Mit Formatierungsoptionen.

## Syntax

string **GetQueryValueInfosExt** (string queryName, string dataSourcekey, string interval, string aggregation, string infoType, decimal count, bool withUnit, string seperatorString, decimal decimalPlaces)

## Parameter

<table><thead><tr><th width="250"></th><th></th></tr></thead><tbody><tr><td><pre><code>queryName:
</code></pre></td><td>Der Name der Abfrage/Tabelle.</td></tr><tr><td><pre><code>dataSourcekey:
</code></pre></td><td>Der Datenquellen-Schlüssel (Kurzname) einer Messgröße.</td></tr><tr><td><pre><code>interval:
</code></pre></td><td>Ein Intervallwert oder -typ. (process, day, week, month, year).</td></tr><tr><td><pre><code>aggregation:
</code></pre></td><td>Ein Aggregationstyp. (val, pSum usw.).</td></tr><tr><td><pre><code>infoType:
</code></pre></td><td>Die Art der Information. (min, max, avg).</td></tr><tr><td><pre><code>count:
</code></pre></td><td>Die Anzahl der Informationen.</td></tr><tr><td><pre><code>withUnit:
</code></pre></td><td>Auf true setzen, um die Einheit auch zu erhalten. Ansonsten false.</td></tr><tr><td><pre><code>seperatorString:
</code></pre></td><td>Ein Trennzeichen zwischen den Informationen.</td></tr><tr><td><pre><code>decimalPlaces:
</code></pre></td><td>Die Anzahl der Nachkommastellen.</td></tr></tbody></table>

## Rückgabewert

Gibt eine Zeichenfolge zurück.

#### Beispiel

```
GetQueryValueInfosExt("Messwerte"," J5001DE.TA","day","dval","max",3,true," - ",2)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.videc.de/june5-3.7/weitere-june5-produkte/june5-webreport/june5-funktionen/getqueryvalueinfosext.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
